function updateDisplay() {
	var applicant1Section = document.getElementById("applicant1");
	var applicant2Section = document.getElementById("applicant2");
	var numberOfApplicants = document.getElementById("applicants").value;
	
	if (parseInt(numberOfApplicants) === 2) {
		applicant1Section.className = "col-sm-6";
		applicant2Section.style.display = "inline";
	}
	else {
		applicant1Section.className = "col-sm-12";
		applicant2Section.style.display = "none";
	}
}

function calculateBorrowingCapacity(event) {
	event.preventDefault();
	
	var numberOfApplicants = document.getElementById("applicants").value;
	var numberOfDependants = document.getElementById("dependants").value;
	var postCode = document.getElementById("postcode").value;
	
	if (postCode.length < 4 || postCode === null || postCode === 0 || postCode.trim() === '') {
		alert("Please enter a Postcode.");
		return;
	}
	
	// Applicant 1
	// Income
	var salary = document.getElementById("annual-gross-salary").value;
	var rentalIncome = document.getElementById("annual-rental-income").value;
	var otherIncome = document.getElementById("annual-other-income").value;
	
	if (
		(salary === 0 && rentalIncome === 0 && otherIncome === 0) ||
		(salary === null && rentalIncome === null && otherIncome === null) ||
		(salary.trim() === '' && rentalIncome.trim() === '' && otherIncome.trim() === '')
	) {
		alert("Please provide an Income.");
		return;
	}
	
	// Expenses
	var ccPayment = document.getElementById("monthly-credit-card").value;
	var ccLimit = document.getElementById("credit-card-limit").value;
	var carRepayment = document.getElementById("monthly-car-loan-repayment").value;
	var otherExpenses = document.getElementById("monthly-other").value;
	
	var servicing = {
		uniqueId : "calculatorWidget",
		isDeleted : false,
		createdOn : new Date(),
		deletedOn : null,
		name : '',
		useAsDefault : true,
		type : '',
		dependants : numberOfDependants,
		negativeGearing : false,
		livingExpenseOveride : 0,
		loanTerm : 0,
		company : '',
		deletedBy : null,
		createdBy : '',
		isNew : null,
		loanId : '',
		loanName : null,
		postcode : postCode,
		taxBenefit : "0.00%",
		people: []
	};
	
	for (var i = 0; i < numberOfApplicants; i++) {
		if (i > 0) {
			// Applicant 2
			// Income
			salary = document.getElementById("annual-gross-salary2").value;
			rentalIncome = document.getElementById("annual-rental-income2").value;
			otherIncome = document.getElementById("annual-other-income2").value;
			
			// Expenses
			ccPayment = document.getElementById("monthly-credit-card2").value;
			ccLimit = document.getElementById("credit-card-limit2").value;
			carRepayment = document.getElementById("monthly-car-loan-repayment2").value;
			otherExpenses = document.getElementById("monthly-other2").value;
		}
	
		// Add applicants to servicing
		servicing.people[i] = {
			uniqueId : "applicant" + i,
			company : "",
			isDeleted : false,						
			deletedOn : null,
			createdOn : null,
			createdBy : null,
			servicingId : "calculatorWidget",
			name : "Applicant " + i,
			taxBenefit : 0,
			dependents : 0,
			incomes: [],
			expenses: []
		}
		
		// Add incomes for applicants
		for (var j = 0; j < 3; j++) {
			var incomeObj = {
				uniqueId : "",
				isDeleted : false,
				createdOn : new Date(),
				deletedOn : null,
				personNumber : i,
				amount : 0,
				dateCommenced : null,
				sortKey : 0,
				lineType : "income",
				creditLimit : 0,
				balance : 0,
				company : "",
				createdBy : "",
				type : undefined,
				frequency : "Annual",
				interestRate : "0.00%",
			}
			
			if (j === 0 && salary > 0) {
				incomeObj.uniqueId = "salaryApplicant" + i;
				incomeObj.amount = salary;
				incomeObj.type = "Salary";
			}
			
			if (j === 1 && rentalIncome > 0) {
				incomeObj.uniqueId = "rentalIncomeApplicant" + i;
				incomeObj.amount = rentalIncome;
				incomeObj.type = "Rental";
			}
			
			if (j === 2 && otherIncome > 0) {
				incomeObj.uniqueId = "otherIncomeApplicant" + i;
				incomeObj.amount = otherIncome;
				incomeObj.type = "Other";
			}
			
			if (incomeObj.type !== undefined) {
				servicing.people[i].incomes.push(incomeObj);
			}
		}
		
		// Add expenses for applicants
		for (var k = 0; k < 3; k++) {					
			var expenseObj = {
				amount : 0,
				balance : 0,
				company : "", 
				createdBy : "",
				createdOn : new Date(),
				creditLimit : 0,
				deletedOn : null,
				frequency : "Monthly",
				interestRate : 0,
				isDeleted : false,
				lineType : "expense",
				personNumber : i,
				sortKey : 0,
				type : undefined,
				uniqueId : ""
			}
			
			/*if (k === 0 && ccPayment > 0) {
				expenseObj.uniqueId = "ccPaymentApplicant" + i;
				expenseObj.amount = ccPayment;
				expenseObj.type = "Credit Card";	
			}*/
			
			if (k === 0 && ccLimit > 0) {
				expenseObj.uniqueId = "ccLimitApplicant" + i;
				expenseObj.creditLimit = ccLimit;
				expenseObj.type = "Credit Card";
			}
			
			if (k === 1 && carRepayment > 0) {
				expenseObj.uniqueId = "carRepaymentApplicant" + i;
				expenseObj.amount = carRepayment;
				expenseObj.type = "Car Loan";
			}
			
			if (k === 2 && otherExpenses > 0) {
				expenseObj.uniqueId = "otherExpensesApplicant" + i;
				expenseObj.amount = otherExpenses;
				expenseObj.type = "Other";
			}
			
			if (expenseObj.type !== undefined) {
				servicing.people[i].expenses.push(expenseObj);
			}
		}
	}

	var http = new XMLHttpRequest();
	var url = "http://localhost.connective.com.au:8080/api/calculatorWidgets/calculateBorrowingCapacity";
	http.open("POST", url, true);
	
	// Send the proper header information along with the request
	http.setRequestHeader('Content-Type', 'application/json');
	
	// Call a function when the state changes.
	http.onreadystatechange = function() {
		if(http.readyState == 4 && http.status == 200) {
			var elem = document.getElementById("overlay");
			elem.style.visibility = "hidden";
			elem = document.getElementById("bodydiv");
			elem.style.visibility = "visible";
			var responseObj = JSON.parse(http.responseText);
			
			if (responseObj.success === true) {
				var amounts = responseObj.list;
				
				var count = 10;
				if (amounts.length < 10) {
					count = amounts.length;
				}
				for (var i = 0; i < count; i++) {
					document.getElementById("Lender" + (i + 1)).innerHTML = "$" + numberWithCommas(amounts[i]);
				}
			}
			else if (responseObj.success === false) {
				alert("You do not have access to this information.");
			}
		}
		else {
			var elem = document.getElementById("overlay");
			elem.style.visibility = "hidden";
			elem = document.getElementById("bodydiv");
			elem.style.visibility = "visible";
		}
	}
	
	http.send(JSON.stringify(servicing));
	var elem = document.getElementById("overlay");
	elem.style.visibility = "visible";
	elem = document.getElementById("bodydiv");
	elem.style.visibility = "hidden";
}