function handleKeyPress(e){
	var key = e.keyCode || e.which;
	if (key === 13) {
		calculateLoanComparison();
	}
}

function calculateLoanComparison() {
	/* ~~~~~~~~~~~~~~~~~~~~~~~ Textfields ~~~~~~~~~~~~~~~~~~~~~~~~ */
	// Loan Amount and Term
	var loanAmount = document.getElementById("loan-amount").value;
	var loanTerm = document.getElementById("loan-term").value;
	
	if (loanAmount.trim().length === 0 || !loanAmount.trim()) {
		loanAmount = document.getElementById("loan-amount").placeholder;
	}
	if (loanTerm.trim().length === 0 || !loanTerm.trim()) {
		loanTerm = document.getElementById("loan-term").placeholder;
	}
	
	// Loan 1
	var upfrontFees1 = document.getElementById("upfront-fees1").value;
	var ongoingFees1 = document.getElementById("ongoing-fees1").value;
	var fixedRate1 = document.getElementById("fixed-rate1").value;
	var fixedTerm1 = document.getElementById("fixed-term1").value;
	var variableRate1 = document.getElementById("variable-rate1").value;
	
	if (upfrontFees1.trim().length === 0 || !upfrontFees1.trim()) {
		upfrontFees1 = document.getElementById("upfront-fees1").placeholder;
	}
	if (ongoingFees1.trim().length === 0 || !ongoingFees1.trim()) {
		ongoingFees1 = document.getElementById("ongoing-fees1").placeholder;
	}
	if (fixedRate1.trim().length === 0 || !fixedRate1.trim()) {
		fixedRate1 = document.getElementById("fixed-rate1").placeholder;
	}
	if (fixedTerm1.trim().length === 0 || !fixedTerm1.trim()) {
		fixedTerm1 = document.getElementById("fixed-term1").placeholder;
	}
	if (variableRate1.trim().length === 0 || !variableRate1.trim()) {
		variableRate1 = document.getElementById("variable-rate1").placeholder;
	}
	
	// Loan 2
	var upfrontFees2 = document.getElementById("upfront-fees2").value;
	var ongoingFees2 = document.getElementById("ongoing-fees2").value;
	var fixedRate2 = document.getElementById("fixed-rate2").value;
	var fixedTerm2 = document.getElementById("fixed-term2").value;
	var variableRate2 = document.getElementById("variable-rate2").value;
	
	if (upfrontFees2.trim().length === 0 || !upfrontFees2.trim()) {
		upfrontFees2 = document.getElementById("upfront-fees2").placeholder;
	}
	if (ongoingFees2.trim().length === 0 || !ongoingFees2.trim()) {
		ongoingFees2 = document.getElementById("ongoing-fees2").placeholder;
	}
	if (fixedRate2.trim().length === 0 || !fixedRate2.trim()) {
		fixedRate2 = document.getElementById("fixed-rate2").placeholder;
	}
	if (fixedTerm2.trim().length === 0 || !fixedTerm2.trim()) {
		fixedTerm2 = document.getElementById("fixed-term2").placeholder;
	}
	if (variableRate2.trim().length === 0 || !variableRate2.trim()) {
		variableRate2 = document.getElementById("variable-rate2").placeholder;
	}
	
	/* ~~~~~~~~~~~~~~~~~~~~~~ Displayfields and value variables for them ~~~~~~~~~~~~~~~~~~~~ */				
	// Loan 1				
	var fixedRepayments1Span = document.getElementById("fixed-repayments1");
	var ongoingRepayments1Span = document.getElementById("ongoing-repayments1");
	var totalFees1Span = document.getElementById("total-fees1");
	var totalInterest1Span = document.getElementById("total-interest1");
	var totalCost1Span = document.getElementById("total-cost1");
	
	// Loan 2				
	var fixedRepayments2Span = document.getElementById("fixed-repayments2");
	var ongoingRepayments2Span = document.getElementById("ongoing-repayments2");
	var totalFees2Span = document.getElementById("total-fees2");
	var totalInterest2Span = document.getElementById("total-interest2");
	var totalCost2Span = document.getElementById("total-cost2");
	
	/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Drop downs ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
	var frequency1 = document.getElementById("fee-dis1").value;
	var frequency2 = document.getElementById("fee-dis2").value;
	
	/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Loan 1 Calculations ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
	var balance1 = 0;
	var loan1 = {					
		loanAmount: loanAmount,
		loanTerm: loanTerm,
		fixedRepayments: 0,
		ongoingRepayments: 0,
		totalFees: 0,
		totalInterest: 0,
		totalCost: 0,
		rates: [
			{ type: "variable", rate: variableRate1, duration: loanTerm }
		]
	};
	
	// Add fixed rate if specified
	if (fixedRate1 > 0) {
		loan1.rates.push({ type: "fixed", rate: fixedRate1, duration: fixedTerm1 });
	}
	
	if (loan1.rates.length > 1) {
		var fixedRateObj = loan1.rates[1];
		if (fixedRateObj.type === "fixed") {
			loan1.fixedRepayments = calculatePayment(loanAmount, fixedRateObj.rate, loanTerm, "Monthly", false);
			var scheduleObj = computeSchedule(loanAmount, fixedRateObj.rate, fixedRateObj.duration, "Monthly", loan1.fixedRepayments);
			loan1.totalInterest += scheduleObj.totalInterest;
			balance1 = calculateBalance(loanAmount, loan1.fixedRepayments, scheduleObj.numberOfPayments, fixedRateObj.rate, loanTerm - fixedRateObj.duration);
		}
	}
	
	var variableRateObj = loan1.rates[0];
	variableRateObj.duration = loanTerm - fixedTerm1;
	loan1.ongoingRepayments = calculatePayment(balance1 > 0 ? balance1 : loanAmount, variableRateObj.rate, variableRateObj.duration, "Monthly", false);
	loan1.totalInterest += computeSchedule(balance1 > 0 ? balance1 : loanAmount, variableRateObj.rate, variableRateObj.duration, "Monthly", loan1.ongoingRepayments).totalInterest;
	
	loan1.totalFees = ((frequency1 === "Annual" ? parseFloat(loanTerm) * parseFloat(ongoingFees1) : parseFloat(loanTerm) * 12 * parseFloat(ongoingFees1)) + parseFloat(upfrontFees1));
	loan1.totalCost = Math.round((parseFloat(loan1.totalFees) + loan1.totalInterest + parseFloat(loanAmount)) * 100) / 100;
	
	/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Loan 2 Calculations ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
	var balance2 = 0;
	var loan2 = {					
		loanAmount: loanAmount,
		loanTerm: loanTerm,
		fixedRepayments: 0,
		ongoingRepayments: 0,
		totalFees: 0,
		totalInterest: 0,
		totalCost: 0,
		rates: [
			{ type: "variable", rate: variableRate2, duration: loanTerm }
		]
	};
	
	// Add fixed rate if specified
	if (fixedRate2 > 0) {
		loan2.rates.push({ type: "fixed", rate: fixedRate2, duration: fixedTerm2 });
	}
	
	if (loan2.rates.length > 1) {
		var fixedRateObj = loan2.rates[1];
		if (fixedRateObj.type === "fixed") {
			loan2.fixedRepayments = calculatePayment(loanAmount, fixedRateObj.rate, loanTerm, "Monthly", false);
			var scheduleObj = computeSchedule(loanAmount, fixedRateObj.rate, fixedRateObj.duration, "Monthly", loan2.fixedRepayments);
			loan2.totalInterest += scheduleObj.totalInterest;
			balance2 = calculateBalance(loanAmount, loan2.fixedRepayments, scheduleObj.numberOfPayments, fixedRateObj.rate, loanTerm - fixedRateObj.duration);
		}
	}
	
	var variableRateObj = loan2.rates[0];
	variableRateObj.duration = loanTerm - fixedTerm2;
	loan2.ongoingRepayments = calculatePayment(balance2 > 0 ? balance2 : loanAmount, variableRateObj.rate, variableRateObj.duration, "Monthly", false);
	loan2.totalInterest += computeSchedule(balance2 > 0 ? balance2 : loanAmount, variableRateObj.rate, variableRateObj.duration, "Monthly", loan2.ongoingRepayments).totalInterest;
	
	loan2.totalFees = ((frequency2 === "Annual" ? parseFloat(loanTerm) * parseFloat(ongoingFees2) : parseFloat(loanTerm) * 12 * parseFloat(ongoingFees2)) + parseFloat(upfrontFees2));
	loan2.totalCost = Math.round((parseFloat(loan2.totalFees) + loan2.totalInterest + parseFloat(loanAmount)) * 100) / 100;			
					
	/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Render Values ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
	fixedRepayments1Span.innerHTML = "$" + numberWithCommas(parseFloat(loan1.fixedRepayments));
	ongoingRepayments1Span.innerHTML = "$" + numberWithCommas(parseFloat(loan1.ongoingRepayments));
	totalFees1Span.innerHTML = "$" + numberWithCommas(parseFloat(loan1.totalFees));
	totalInterest1Span.innerHTML = "$" + numberWithCommas(parseFloat(loan1.totalInterest));
	totalCost1Span.innerHTML = "$" + numberWithCommas(parseFloat(loan1.totalCost));
	
	fixedRepayments2Span.innerHTML = "$" + numberWithCommas(parseFloat(loan2.fixedRepayments));
	ongoingRepayments2Span.innerHTML = "$" + numberWithCommas(parseFloat(loan2.ongoingRepayments));
	totalFees2Span.innerHTML = "$" + numberWithCommas(parseFloat(loan2.totalFees));
	totalInterest2Span.innerHTML = "$" + numberWithCommas(parseFloat(loan2.totalInterest));
	totalCost2Span.innerHTML = "$" + numberWithCommas(parseFloat(loan2.totalCost));
	
	var cheaperHeader = document.getElementById("cheaper-loan-text");
	if (loan1.totalCost < loan2.totalCost) {
		cheaperHeader.innerHTML = 'Loan 1 is cheaper by <span class="primary-color">$' + numberWithCommas(parseFloat(Math.abs(loan2.totalCost - loan1.totalCost))) + '</span>';
	}
	else if (loan1.totalCost > loan2.totalCost) {
		cheaperHeader.innerHTML = 'Loan 2 is cheaper by <span class="primary-color">$' + numberWithCommas(parseFloat(Math.abs(loan1.totalCost - loan2.totalCost))) + '</span>';
	}
	else if (loan1.totalCost === loan2.totalCost) {
		cheaperHeader.innerHTML = 'Loan 1 and Loan 2 cost the <span class="primary-color">same.</span>';
	}
}